precision highp float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform lowp float threshold;

void main()
{
    vec2 coordinate = vec2(textureCoordinate.x,  textureCoordinate.y);
    vec4 originColor = texture2D(inputImageTexture, textureCoordinate);

     if(originColor.b>0.4){
            gl_FragColor = vec4(1.0,1.0,1.0,1.0);
    }else{
           gl_FragColor = vec4(0.0,0.0,0.0,1.0);
    }

}