precision highp float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform lowp float mixCOEF;
uniform lowp vec4 avgSkinColor;
void main()
{
    vec4 originColor = texture2D(inputImageTexture, textureCoordinate);
    vec4 maskColor = texture2D(inputImageTexture2, textureCoordinate);
    float coefG = avgSkinColor.g;
    float coefB = avgSkinColor.b;
    if(maskColor.r >0.0&&originColor.g > coefG&& originColor.b > coefB){
        gl_FragColor = vec4(mix(originColor.rgb,avgSkinColor.rgb,mixCOEF*maskColor.r),originColor.a);
    }else{
        gl_FragColor = originColor;
    }
}
